******************************************* ``POST`` Invite Candidate to an Assessment ******************************************* This API invites a candidate to the specified Assessment by returning the Invite Link. Request URL ============= .. code-block:: POST /assessments/invite Body Parameters ================ .. code-block:: JSON { "candidate_name": "string", "candidate_email": "string", "assessment_id": "integer", "invite_format": "string", "expiry_date": "string" } .. warning:: Make sure to add your API key in Header of the request Parameters ============ +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | Parameter | Type | Description | +===================+==================+=====================================================================================================+ | candidate_name | *string* | The name of the candidate whom you want to invite to the track. | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | candidate_email | *string* | The email of the candidate whom you want to invite to the track. | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | invite_format | *enum* | - **getlink**: This option will only create an invite link for the candidate which can be shared. | | | | - **sendlink**: This option will send an invite to the candidate via email | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | assessment_id | *integer* | The Assessment ID to which you want to invite the candidate. | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ | expiry_date | *string* | - Expiry Date and Time for the Invite Link | | *(optional)* | | - Date and Time should be in this format **YYYY-MM-DD HH:MM** | | | | | | | | **Example:** 2024-12-31 18:30 | +-------------------+------------------+-----------------------------------------------------------------------------------------------------+ Response ========== - A JSON response containing information about the Candidate Information and the Invite Link. .. code-block:: JSON { "email": "string", "report_id": "integer", "candidate_id": "integer", "assessment_id": "integer", "invite_link": "string", "name": "string", "status": "string" }